# Class ChannelPasswordRequiredException | EchoHub Documentation
Thrown when joining a channel fails because a password is required or incorrect. The UI catches this to prompt the user and retry.

# Class ChannelPasswordRequiredException

Namespace
  EchoHub.Client.Services

Assembly
  EchoHub.Client.dll

Thrown when joining a channel fails because a password is required or incorrect. The UI catches this to prompt the user and retry.

    public sealed class ChannelPasswordRequiredException : Exception

Inheritance
  object
  Exception
  ChannelPasswordRequiredException

Inherited Members
  Exception.GetBaseException()
  Exception.ToString()
  Exception.GetType()
  Exception.TargetSite
  Exception.Message
  Exception.Data
  Exception.InnerException
  Exception.HelpLink
  Exception.Source
  Exception.HResult
  Exception.StackTrace
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ChannelPasswordRequiredException(string, string)

    public ChannelPasswordRequiredException(string channelName, string message)

#### Parameters

`channelName` string
`message` string

## Properties

### ChannelName

    public string ChannelName { get; }

#### Property Value

string